Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001267TestLinkTest Specificationpublic2008-01-09 05:402008-11-07 19:46
Reportercmurray 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.1 
Fixed in Version1.8 Beta 1 
Summary0001267: Unhelpful error message when Test Case creation fails
DescriptionWhen Test Case creation fails, this error message appears:
There was an error while adding the Test Case

However, there are more specific messages in the testcase->create() method. Need to append those messages to the generic message above. Such as:
There's already a Test Case with this title!

The fix is to add this code to tcEdit.php
if($tcase['status_ok']) {
  ... (existing code)
}
// Add this...
elseif(isset($tcase['msg'])) {
  $user_feedback .= '
'.$tcase['msg'];
}
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-01-09 05:40 cmurray New Issue
2008-01-09 16:16 fman Status new => assigned
2008-01-09 16:16 fman Assigned To => fman
2008-01-09 16:16 fman Status assigned => resolved
2008-01-09 16:16 fman Fixed in Version => next development version (1.8 Beta1)
2008-01-09 16:16 fman Resolution open => fixed
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker